package com.idea.buildManage.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ParkRoom implements Serializable {
    private String id;

    private String buildId;

    private String discId;

    private String groupId;

    private String roomNo;

    private String floor;

    private Double predictionInternalArea;

    private Double predictionShareArea;

    private Double predictionBuildArea;

    private Double predictionLandArea;

    private Double actualInternalArea;

    private Double actualShareArea;

    private Double actualBuildArea;

    private Double actualLandArea;

    private Integer roomUse;

    private String roomNumber;

    private Integer decorationSituation;

    private String houseTypeId;

    private String houseTypePicture;

    private String createdId;

    private Date createdAt;

    private Date updatedAt;

    private String updatedId;

    private Integer saleStatus;

    private Integer soldStatus;

    private String twoPointTwo;

    private String remark;

    private String orderNum;

    private Integer isChoose;

    private static final long serialVersionUID = 1L;

}