package com.idea.buildManage.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class MnpBuilding implements Serializable {
    private String id;

    private String groupId;

    private String groupName;

    private String discId;

    private String discName;

    private String orderNum;

    private String buildNum;

    private String constructionNum;

    private Double area;

    private Double residentialArea;

    private Double unResidentialArea;

    private Double coverAnArea;

    private Double undergroundArea;

    private String roomNum;

    private String numberInfo;

    private Integer floors;

    private Integer overgroundFloors;

    private Integer undergroundFloors;

    private String structure;

    private String regionalismCode;

    private String landCode;

    private String createdId;

    private Date createdAt;

    private Date updatedAt;

    private String updatedId;

    private String remark;

    private String priceRemark;

    private static final long serialVersionUID = 1L;

}