package com.idea.customerManagement.controller;

import com.github.pagehelper.PageInfo;
import com.idea.customerManagement.dto.CustomerManagementDto;
import com.idea.customerManagement.model.Buyer;
import com.idea.customerManagement.service.BuyerService;
import com.rockstar.common.base.BaseController;
import com.rockstar.frame.model.extend.DateTrans;
import com.rockstar.frame.model.extend.TableSplitResult;
import com.rockstar.frame.model.extend.Tablepar;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

@Controller
@RequestMapping(value = "BuyerController")
@Api(tags = "买受人管理")
public class BuyerController extends BaseController {

    @Autowired
    private BuyerService modelService;

    @PostMapping(value = "listAll",produces = {"application/json;charset=UTF-8"})
    @ResponseBody
    public Object listAll(Buyer model, DateTrans dt){
        List<Buyer> buyers = modelService.listAll(model, dt);
        return buyers;
    }


}
