package com.idea.customerManagement.dto;

import com.idea.customerManagement.model.ContractManage;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ContractManageDto extends ContractManage {

    private String buyerName;

    private String signingDateFrom;

    private String signingDateTo;

    /**
     * 已收
     */
    private BigDecimal receivedMoney;

    /**
     * 尚欠金额
     */
    private BigDecimal arrears;

    /**
     * 关联专项维修资金id
     */
    private String maintenanceFundsId;

    /**
     * 收款类型 1 预收款 2 专项维修资金
     */
    private String payType;

}