package com.idea.pro.wx.pojo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

@Api(description = "登录请求参数对象")
public class LoginRequest {

    /**
     * 用户code
     */
    @ApiModelProperty(value = "微信授权登录外网获取的code，用于获取openid", name = "code", required = true)
    private String code;

    /**
     * 登录账号
     */
    @ApiModelProperty(value = "登录账号", name = "userName")
    private String userName;

    /**
     * 登录密码
     */
    @ApiModelProperty(value = "登录密码", name = "password")
    private String password;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
